Subject: problems with passwordless access

From: Longina Przybyszewska <[email-masked]>
Date: Fri, 20 Jun 2003 11:31:16 +0200 (CEST)

HI,
I have just installed pine-4.56 with TLS/SSL support (Linux).
Imap server on Sparc Solaris9 with TLS/SSL support, SSLTYPE=nopwd.

I would like that our users can connect paswordless to IMAP from the local
subnet.
This is  the testing phase now, and I experience the following problems:

In my personal configuration, for ssh - I use ssh-agent and passphrase
and it works fine for passwordless communication beetween machines.
I can connect to the IMAP from command line too:
----
ssh imapserver -x -l longina exec /etc/rimapsd
* PREAUTH [CAPABILITY IMAP4REV1 IDLE NAMESPACE MAILBOX-REFERRALS BINARY
SCAN SORT THREAD=REFERENCES THREAD=ORDEREDSUBJECT MULTIAPPEND]
Pre-authenticated user longina imapserver.imada.sdu.dk IMAP4rev1
2003.337
at Fri, 20 Jun 2003 10:31:04 +0200 (CEST)

---
in logfile :

---
 rimapsd[2805]: [ID 102980 mail.info] Preauthenticated user=longina
host=NON-IPv4
rimapd[2842]: [ID 985434 mail.info] Command stream end of file, while
reading line user=longina host=NON-IPv4

---

I wonder if there is a way to get it to work from a pine in such a way:

1. pine tries ssh mechanism first, than if it fails
2. login/passwd over TLS

If I try /notls connection (rsh-timeout=0, ssh defined), I get the
message:

--
Server disables login, no recognized SASL authentication
--

Any ideas?

Longina
--
Longina Przybyszewska, system programmer
Dept. of Math. & Comp. Sci. - IMADA
University of Southern Denmark, Odense
Campusvej 55,DK-5230 Odense M, Denmark

tel: +45 6550 2359 - http://www.imada.sdu.dk         email: [email-masked]
--
-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------